--- /usr/portage/media-video/avidemux/avidemux-2.0.38_rc2.ebuild	2005-04-06 09:36:31.000000000 +0200
+++ avidemux-2.0.38_rc2-r1.ebuild	2005-04-14 17:57:05.798094648 +0200
@@ -7,14 +7,15 @@
 MY_P=${P/_/}
 DESCRIPTION="Great Video editing/encoding tool"
 HOMEPAGE="http://fixounet.free.fr/avidemux/"
-SRC_URI="http://download.berlios.de/${PN}/${MY_P}b.tar.gz"
+SRC_URI="http://download.berlios.de/${PN}/${MY_P}b.tar.gz
+	mirror://gentoo/${PF}-patches.tar.bz2"
 
 LICENSE="GPL-2"
 SLOT="2"
 KEYWORDS="~x86 ~ppc ~amd64"
-IUSE="a52 aac alsa altivec arts debug encode mad mmx nls vorbis pic sdl truetype xvid xv"
+IUSE="a52 aac alsa altivec arts encode mad mmx nls vorbis sdl truetype xvid xv oss"
 
-RDEPEND="virtual/x11
+RDEPEND="xv? ( virtual/x11 )
 	a52? ( >=media-libs/a52dec-0.7.4 )
 	encode? ( >=media-sound/lame-3.93 )
 	>=dev-libs/libxml2-2.6.7
@@ -25,8 +26,7 @@
 	xvid? ( >=media-libs/xvid-1.0.0 )
 	x86? ( dev-lang/nasm )
 	nls? ( >=sys-devel/gettext-0.12.1 )
-	vorbis? ( >=media-libs/libogg-1.0
-		>=media-libs/libvorbis-1.0.1 )
+	vorbis? ( >=media-libs/libvorbis-1.0.1 )
 	arts? ( >=kde-base/arts-1.2.3 )
 	truetype? ( >=media-libs/freetype-2.1.5 )
 	alsa? ( >=media-libs/alsa-lib-1.0.3b-r2 )
@@ -34,6 +34,7 @@
 # media-sound/toolame is supported as well
 
 DEPEND="$RDEPEND
+	dev-util/pkgconfig
 	>=sys-devel/autoconf-2.58
 	>=sys-devel/automake-1.8.3"
 
@@ -46,33 +47,34 @@
 
 src_unpack() {
 	unpack ${A}
-	epatch ${FILESDIR}/${PV}-fix-faad.patch
 	cd ${S} || die
+	
+	EPATCH_SUFFIX="patch"
+	epatch ${WORKDIR}/${PVR}/patches/
+	
+	cp ${WORKDIR}/${PVR}/m4/* ${S}/m4 || die "cp m4 failed"
+	
+	make -f Makefile.dist || die "autotools failed."
 }
 
 src_compile() {
-	local myconf
-
-	use arts || export ac_cv_path_ART_CONFIG=no
-	use alsa || export ac_cv_header_alsa_asoundlib_h=no
-	use sdl || export ac_cv_path_SDL_CONFIG=no
-	use vorbis || export ac_cv_lib_vorbis_vorbis_info_init=no
-	use xvid || export ac_cv_header_xvid_h=no
-	use xv || export ac_cv_header_X11_extensions_XShm_h=no
-	use truetype || export ac_cv_path_FREETYPE_CONFIG=no
-	use encode || export ac_cv_header_lame_lame_h=no
-	use mad || export ac_cv_header_mad_h=no
-	use a52 || export ac_cv_header_a52dec_a52=no
-
-	use mmx || myconf="${myconf} --disable-mmx"
-	use altivec || myconf="${myconf} --disable-altivec"
-	use debug && myconf="${myconf} --enable-debug=full"
-
 	econf \
 		$(use_enable nls) \
-		$(use_enable aac faac) $(use_enable aac faad) \
-		$(use_with pic) \
-		--disable-warnings \
+		$(use_enable altivec) \
+		$(use_enable mmx) \
+		$(use_enable xv) \
+		$(use_with mad libmad) \
+		$(use_with arts) \
+		$(use_with alsa) \
+		$(use_with oss) \
+		$(use_with vorbis) \
+		$(use_with a52 a52dec) \
+		$(use_with sdl libsdl) \
+		$(use_with truetype freetype2) \
+		$(use_with aac faac) $(use_with aac faad2) \
+		$(use_with xvid) \
+		$(use_with encode lame) \
+		--disable-warnings --disable-dependency-tracking \
 		${myconf} || die "configure failed"
 	make || die "make failed"
 }
@@ -83,7 +85,7 @@
 }
 
 pkg_postinst() {
-	if use ppc ; then
+	if use ppc && use oss; then
 		echo
 		einfo "OSS sound output may not work on ppc"
 		einfo "If your hear only static noise, try"